Subject: SIGINT strange behaviour
From: [email-masked] (Alex Rezinsky)

15 Jan 1999 22:15:43 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I use egcs-1.1 with CYGWIN19
When I run the next program and press cntrl/c,
the message "cntrl/c received." is printed, but
the program exits.

What the problem? Should I update to 20.1 to solve it??

Thanks,
Alex Rezinsky

--------------------------------

#include <stdio.h>
#include <signal.h>

void sigint_handler()
{
    printf("cntrl/c received.\n");
}

main()
{
    signal(SIGINT, sigint_handler);
    for(;;);
}

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".